cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Announcements
Are you interested in hearing how one of our Community members uses Dropbox for sailing trips? Read all about it here.

Dropbox API Support & Feedback

Find help with the Dropbox API from other developers.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Xcode error: "Build failed because SwiftyDropbox.swiftmodule is not built for arm64" (SDK v.10)

Xcode error: "Build failed because SwiftyDropbox.swiftmodule is not built for arm64" (SDK v.10)

gcarl
Explorer | Level 4

Dear community,

 

I'm creating an app for iOS in Xcode (v. 15.3) in which I want to integrate the SwiftyDropbox SDK (v.10.0.6). I've done this via "add packages".

 

In the "Build settings"  I have excluded "arm64":

 

gcarl_1-1711516044606.png

 

When trying to build and run this app in the simulator I get the following error message: "Build failed because SwiftyDropbox.swiftmodule is not built for arm64". I scrolled through stack overflow but all hints I found there didn't fix the issue. Has anyone an idea what's wrong?

Thanks for your support.

 

1 Accepted Solution

Accepted Solutions

Здравко
Legendary | Level 20

To be honest, I'm not familiar with the mentioned package. I cannot imagine any package, targeting particular platform, to expect exclusion of the same platform though. 🤷 (including arm64, but not only)

 

PS: Probably you are trying to do something like cross-compilation with pre-build package. Clarify to yourself what you're going to do and everything's gona be fine (I believe). In any way all packages have to be the same architecture for one executable binary though (not some mixture as seems to be in your case). If you plan mixed architecture project, split the different archs in different binaries, for example.

View solution in original post

3 Replies 3

Здравко
Legendary | Level 20

Hi @gcarl,

You have excluded an arm64 part (the Dropbox part) from your arm64 (Apple Silicon) project (why at all 🤷). At the end you got surprised that your build system "informs" you about that. Am I missing something? 🧐

gcarl
Explorer | Level 4

I'm using th package NMSSH from github in this app too for SFTP-filetransfer to a server as alternative to storing data on Dropbox. The older NMSSH module is only working, if arm6 is excluded. This is the reason why I excluded it. Do I understand it correct that the result is the conflict out of these two packages? NMSSH only without arm6, SwiftyDropboy only with arm6?

Здравко
Legendary | Level 20

To be honest, I'm not familiar with the mentioned package. I cannot imagine any package, targeting particular platform, to expect exclusion of the same platform though. 🤷 (including arm64, but not only)

 

PS: Probably you are trying to do something like cross-compilation with pre-build package. Clarify to yourself what you're going to do and everything's gona be fine (I believe). In any way all packages have to be the same architecture for one executable binary though (not some mixture as seems to be in your case). If you plan mixed architecture project, split the different archs in different binaries, for example.

Need more support?
Who's talking

Top contributors to this post

  • User avatar
    Здравко Legendary | Level 20
  • User avatar
    gcarl Explorer | Level 4
What do Dropbox user levels mean?